colossalai.nn.layer.colossalai\_layer
=====================================

.. automodule:: colossalai.nn.layer.colossalai_layer
   :members:


.. toctree::
   :maxdepth: 2

   colossalai.nn.layer.colossalai_layer.dropout
   colossalai.nn.layer.colossalai_layer.embedding
   colossalai.nn.layer.colossalai_layer.linear
   colossalai.nn.layer.colossalai_layer.normalization
